## ruby-commonmarker 0.23.6

=== Makefile ===
C_SOURCES = $(wildcard ext/commonmarker/*.[ch])

update-c-sources: build-upstream $(C_SOURCES)

.PHONY: build-upstream

build-upstream:
	cd ext/commonmarker/cmark-upstream && make

ext/commonmarker/%: ext/commonmarker/cmark-upstream/src/%
	cp $< $@

ext/commonmarker/%: ext/commonmarker/cmark-upstream/extensions/%
	cp $< $@

ext/commonmarker/config.h: ext/commonmarker/cmark-upstream/build/src/config.h
	cp $< $@

ext/commonmarker/cmark-gfm_export.h: ext/commonmarker/cmark-upstream/build/src/cmark-gfm_export.h
	cp $< $@

ext/commonmarker/cmark-gfm_version.h: ext/commonmarker/cmark-upstream/build/src/cmark-gfm_version.h
	cp $< $@

ext/commonmarker/cmark-gfm-extensions_export.h: ext/commonmarker/cmark-upstream/build/extensions/cmark-gfm-extensions_export.h
	cp $< $@

## ruby-commonmarker 0.17.9

=== debian/changelog ===
ruby-commonmarker (0.17.9-1) unstable; urgency=medium

  * Initial release (Closes: #893787)

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Mar 2018 17:37:20 +0530

=== debian/control ===
Source: ruby-commonmarker
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               rake,
               ruby-enum (>= 0.5)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-commonmarker.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-commonmarker
Homepage: http://github.com/gjtorikian/commonmarker
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-commonmarker
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-enum (>= 0.5),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CommonMark parser and renderer - Written in C, wrapped in Ruby
 A fast, safe, extensible parser for CommonMark. This wraps the official
 libcmark library.

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/commonmarker .*/commonmarker-(.*).tar.gz

## ruby-commonmarker 0.20.2

=== debian/changelog ===
ruby-commonmarker (0.20.2-1build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:41 +0000

ruby-commonmarker (0.20.2-1) unstable; urgency=medium

  * New upstream version 0.20.2
  * Add Breaks: ruby-html-pipeline (<< 2.12.3~)
  * Drop /usr/bin/commonmarker to make it pure library (See #934948)

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Dec 2019 14:06:53 +0530

ruby-commonmarker (0.17.9-2) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * Drop dependency on ruby (See #934948)
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Move debian/watch to gemwatch.debian.net

 -- Pirate Praveen <praveen@debian.org>  Tue, 24 Dec 2019 22:57:18 +0530

=== debian/control ===
Source: ruby-commonmarker
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               rake,
               ruby-enum (>= 0.5)
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-commonmarker.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-commonmarker
Homepage: http://github.com/gjtorikian/commonmarker
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-commonmarker
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby-enum (>= 0.5),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ruby-html-pipeline (<< 2.12.3~)
Description: CommonMark parser and renderer - Written in C, wrapped in Ruby
 A fast, safe, extensible parser for CommonMark. This wraps the official
 libcmark library.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	# See #934948
	rm -rf debian/ruby-commonmarker/usr/bin

=== debian/watch ===
version=3
https://gemwatch.debian.net/commonmarker .*/commonmarker-(.*).tar.gz

## ruby-commonmarker 0.21.0

=== debian/changelog ===
ruby-commonmarker (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
    + improve order of magnitude of the time to parse input, fixing possible
    denial of service [CVE-2020-5238] (Closes: #965981)
  * Watch file moved to version 4
  * Refresh packaging with dh-make-ruby -w
  * Enable tests
    + skip test_spec.rb and test_smartpunct.rb as they need cmark test files

 -- Cédric Boutillier <boutil@debian.org>  Wed, 26 Aug 2020 14:30:21 +0200

ruby-commonmarker (0.20.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Pirate Praveen ]
  * Bump minimum version of gem2deb to 1.0~

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Jul 2020 16:21:24 +0530

=== debian/control ===
Source: ruby-commonmarker
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1.0~),
               rake,
               ruby,
               ruby-awesome-print,
               ruby-enum (>= 0.5),
               ruby-json (>= 1.8~),
               ruby-minitest-focus (>= 1.1~),
               ruby-minitest (>= 5.6~),
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-commonmarker.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-commonmarker
Homepage: https://github.com/gjtorikian/commonmarker
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-commonmarker
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends},
         ruby-enum (>= 0.5)
Breaks: ruby-html-pipeline (<< 2.12.3~)
Description: CommonMark parser and renderer - Written in C, wrapped in Ruby
 A fast, safe, extensible parser for CommonMark. This wraps the official
 libcmark library.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY = --gem-install
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=4
https://gemwatch.debian.net/commonmarker .*/commonmarker-(.*).tar.gz

## ruby-commonmarker 0.23.2

=== debian/changelog ===
ruby-commonmarker (0.23.2-2) unstable; urgency=medium

  * Reupload to unstable 
  * Add Breaks ruby-jekyll-commonmark <= 1.3.1-5~

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Dec 2021 18:08:54 +0530

ruby-commonmarker (0.23.2-1) experimental; urgency=medium

  * New upstream version 0.23.2

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Nov 2021 19:51:58 +0530

ruby-commonmarker (0.21.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for Ruby 3.0 (closes: #998512).
  * d/control (Standards-Version): Bump to 4.6.0.
  * d/copyright: Add Upstream-Contact field.
  * d/upstream/metadata: Add Archive and Upstream fields.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 11 Nov 2021 12:37:43 +0100

ruby-commonmarker (0.21.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on ruby-enum,
      ruby-json, ruby-minitest and ruby-minitest-focus.
    * ruby-commonmarker: Drop versioned constraint on ruby-enum in Depends.
    Changes-By: deb-scrub-obsolete
  * Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Sergio Durigan Junior ]
  * d/p/0001-Call-Ruby-interpreter-using-a-versioned-command.patch:
    Call the Ruby interpreter using its versioned name, thus making it
    possible to have both Ruby 2.x and 3.x installed when running the
    tests. (Closes: #998201)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 04 Nov 2021 15:18:31 -0400

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                rake,
                ruby,
                ruby-awesome-print,
-               ruby-enum (>= 0.5),
-               ruby-json (>= 1.8~),
-               ruby-minitest-focus (>= 1.1~),
-               ruby-minitest (>= 5.6~),
-Standards-Version: 4.5.0
+               ruby-enum,
+               ruby-json,
+               ruby-minitest-focus,
+               ruby-minitest,
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-commonmarker.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-commonmarker
 Homepage: https://github.com/gjtorikian/commonmarker
@@ -26,8 +26,8 @@
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends},
-         ruby-enum (>= 0.5)
-Breaks: ruby-html-pipeline (<< 2.12.3~)
+         ruby-enum
+Breaks: ruby-html-pipeline (<< 2.12.3~), ruby-jekyll-commonmark (<= 1.3.1-5~)
 Description: CommonMark parser and renderer - Written in C, wrapped in Ruby
  A fast, safe, extensible parser for CommonMark. This wraps the official
  libcmark library.

## ruby-commonmarker 0.23.4

=== debian/changelog ===
ruby-commonmarker (0.23.4-1) unstable; urgency=medium

  * New upstream version 0.23.4

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 Apr 2022 23:07:53 +0530

## ruby-commonmarker 0.23.6

=== debian/changelog ===
ruby-commonmarker (0.23.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Pirate Praveen ]
  * Switch to github.com as source (for tests)
  * New upstream version 0.23.6
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sun, 20 Nov 2022 20:52:30 +0530

=== debian/watch ===
version=4
opts="searchmode=plain, \
  filenamemangle=s/.+\/v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/gjtorikian/commonmarker/releases \
https://api.github.com/repos/gjtorikian/commonmarker/tarball/v@ANY_VERSION@

## ruby-commonmarker 0.23.9

=== debian/changelog ===
ruby-commonmarker (0.23.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23.9

 -- Vinay Keshava <vinaykeshava@disroot.org>  Tue, 11 Jul 2023 19:01:22 +0530

## ruby-commonmarker 0.23.10

=== debian/changelog ===
ruby-commonmarker (0.23.10-1build3) oracular; urgency=medium

  * No-change upload to add Ruby 3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Aug 2024 16:01:26 -0300

ruby-commonmarker (0.23.10-1build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:16:15 -0300

ruby-commonmarker (0.23.10-1build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 07 Feb 2024 17:50:13 -0300

ruby-commonmarker (0.23.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23.10

 -- Ravish BC <ravish0007@disroot.org>  Tue, 07 Nov 2023 22:07:11 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                ruby-json,
                ruby-minitest-focus,
                ruby-minitest,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-commonmarker.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-commonmarker
 Homepage: https://github.com/gjtorikian/commonmarker
